org.keycloak.dom.saml.v2.ac.classes

## Class KeyActivationType

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.classes.ExtensionListType
  - - org.keycloak.dom.saml.v2.ac.classes.KeyActivationType

-     public class KeyActivationType
      extends ExtensionListType

  Java class for KeyActivationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="KeyActivationType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}ActivationPin"
       minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}Extension"
       maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ActivationPinType` | `activationPin`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.ac.classes.ExtensionListType

      `content`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyActivationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActivationPinType` | `getActivationPin()` Gets the value of the activationPin property.
    `void` | `setActivationPin(ActivationPinType value)` Sets the value of the activationPin property.

    - ### Methods inherited from class org.keycloak.dom.saml.v2.ac.classes.ExtensionListType

      `add, getContent, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### activationPin

          protected ActivationPinType activationPin

  - ### Constructor Detail

    - #### KeyActivationType

          public KeyActivationType()

  - ### Method Detail

    - #### getActivationPin

          public ActivationPinType getActivationPin()

      Gets the value of the activationPin property.
      Returns:
        possible object is `ActivationPinType`

    - #### setActivationPin

          public void setActivationPin(ActivationPinType value)

      Sets the value of the activationPin property.
      Parameters:
        `value` - allowed object is `ActivationPinType`

Copyright © 2016 JBoss by Red Hat. All rights reserved.